/*
 * ErrorC - A general class for reporting errors.
 * Part of the RandomCsp library.
 * Copyright (C) 1998-2000 by J.I. van Hemert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * $Id: error.h,v 1.3 2004/02/16 16:06:52 jvhemert Exp $
 *
 */


#ifndef _ErrorC_H
#define _ErrorC_H


#include <fstream>
#include <string>
#include <malloc.h>


class ErrorC
{
	public:
		/// Type of error that needs to be reported, not that warnings will not halt the program, but all others will. The exitcode of the program will correspond to the sequence here.
		enum ErrorTypeT
		{
			warning,
			ioerror,
			error,
			internalerror
		};

		ErrorC 
		(
			char const * const iOwner
		);
		
		~ErrorC ();
		
		void const Give
		(
			char const * const iError,
			ErrorTypeT const iErrorType
		) const;

		// Name string of my owner.
		char * Owner;
	protected:


	private:
};


#endif

// eof error.h
